> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inference registry credential



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v3/inference/{project_id}/registry_credentials/{credential_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 522c7402cd23
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v3/inference/{project_id}/registry_credentials/{credential_name}:
    get:
      tags:
        - Everywhere Inference
      summary: Get inference registry credential
      operationId: InferenceRegistryCredentialHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: credential_name
          required: true
          description: Registry credential name.
          schema:
            description: Registry credential name.
            example: docker-io
            examples:
              - docker-io
            minLength: 4
            pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
            title: Credential Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceRegistryCredentialOutSerializer'
components:
  schemas:
    InferenceRegistryCredentialOutSerializer:
      properties:
        name:
          description: Registry credential name.
          example: docker-io
          examples:
            - docker-io
          minLength: 4
          pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
          title: Name
          type: string
        project_id:
          description: Project ID to which the inference registry credentials belongs.
          example: 1
          examples:
            - 1
          title: Project Id
          type: integer
        registry_url:
          description: Registry URL.
          example: registry.example.com
          examples:
            - registry.example.com
          title: Registry Url
          type: string
        username:
          description: Registry username.
          example: username
          examples:
            - username
          title: Username
          type: string
      required:
        - project_id
        - name
        - username
        - registry_url
      title: InferenceRegistryCredentialOutSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````